Subject: FILES TS Object is not able to deal with comma separated lists for references

Description

According to Steffen Ritter, the references property should be able to take in a comma separated list of sys_file_reference UID's
(currently not documented, see also http://forge.typo3.org/issues/34137).

But the following TS produces an exception:
10 = FILES
10 {

references = 188,189

renderObj = TEXT

renderObj.data = file:current:publicUrl

}

#1316889798: uid of record has to be numeric

InvalidArgumentException thrown in file
/var/www/vhosts/_SHARED_T3_SRC/6.0.x/typo3_src-git-master/t3lib/file/Repository/FileRepository.php in line 240.

t3lib_file_Repository_FileRepository::findFileReferenceByUid("188,189")

Adding the following TS line resolves the issue:
references.listNum = 0

Btw: As documented, it works for files, e.g.:

10 = FILES
10 {
files =1,2,3
renderObj = TEXT
renderObj.data = file:current:publicUrl

}

--> Multiple paths to files are outputted.

Related issues:
related to TypoScript Reference (TSref) - Task # 34137: Add documentation for... Closed 2012-02-21
related to Core - Bug # 39960: levelmedia retrieves deleted records Resolved 2012-08-19
http://forge.typo3.org/issues/34137

[BUGFIX] TS Object "FILES" is not able to handle multiple references

The current implementation is not able to deal with more
than one file-reference (hand over as csv).

According to the documentation and to behave like other
options of the FILES object this should be adapted.
History

#1 - 2012-09-03 10:06 - Steffen Ritter

- Status changed from New to Accepted

#2 - 2012-09-03 12:53 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14307

#3 - 2012-09-03 16:41 - Steffen Ritter
- Assigned To set to Steffen Ritter

#4 - 2012-09-03 16:41 - Steffen Ritter

- Target version set to 6.0 beta 2

#5 - 2012-09-03 16:42 - Steffen Ritter
- Project changed from File Abstraction Layer to Core
- Target version deleted (6.0 beta 2)

#6 - 2012-09-03 16:43 - Steffen Ritter
- Category set to File Abstraction Layer (FAL)

#7 - 2012-09-03 16:43 - Steffen Ritter

- Target version set to 6.0.0-beta2
#8 - 2012-09-18 19:15 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14307

#9 - 2012-09-18 19:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:f3bb439e9d594e9baf7abf006d4a42cdfOb5bf10.
